<?php
/**
 * @version		$Id: com_subinstall.php $
 * @copyright	Copyright (C) 2010 Oren Shmulevich. All rights reserved.
 * @license		GNU/GPLv2
 */

// Check to ensure this file is included in Joomla!
defined('_JEXEC') or die('Restricted access');

// Include the actual subinstaller class
require_once dirname(__FILE__).'/subinstall.php';

/**
 * API entry point. Called from main installer.
 */
function com_install() {
    $si = new SubInstaller();
    $ret = $si->install();
    if ($ret) {

    }
    $assets = JURI::root().'/administrator/components/com_cincopa/assets/';
    $assetspath = JPATH_ADMINISTRATOR.DS.'components'.DS.'com_cincopa'.DS.'assets'.DS;
    $lang =& JFactory::getLanguage();
    $welcome = $assetspath.$lang->getTag().'.welcome.html';
    if (!file_exists($welcome)) {
        $welcome = $assetspath.'en-GB.welcome.html';
    }
    echo '<table width="100%"><tr><td valign=top><img src="'.$assets.'logo.gif" alt="" /></td></tr><tr><td valign=top><img src="'.$assets.'editorbtn.png" alt="" /></td></tr><tr>'.
        '<td>'.file_get_contents($welcome).'</td></tr></table>';
}

/**
 * API entry point. Called from main installer.
 */
function com_uninstall() {
    $si = new SubInstaller();
    return $si->uninstall();
}
